
TYPO3.Media - Bug # 36958

Status: Resolved Priority: Must have
Author: Nikolas Hagelstein Category:
Created: 2012-05-08 Assigned To: Adrian Föder
Updated: 2012-07-09 Due date:
Subject: Empty image title results in exception
Description

SQLSTATE23000: Integrity constraint violation: 1048 Column 'title' cannot be null

This has been introduced by:
http://git.typo3.org/FLOW3/Packages/TYPO3.Media.git?a=commit;h=6e958f2f3b5113aefcd22d871f87a6f74ef8361a

Possible solution:
1. Set the default value of the title to ''

or

2. Annotate with "to be null"

or

3. Make the image title mandatory

I would go for 1 for now.

Associated revisions
Revision 9e9f367f - 2012-05-09 16:23 - Adrian Föder

[BUGFIX] Correct Image title's default value according to Database

With 6e958f2f3b5113aefcd22d871f87a6f74ef8361a (#35059) the
database fields are set to not being NULLable, so the title
property should be an empty string per default, not NULL.

Change-Id: I3c5b77e344da3f7c7ed78faa69056362151adf1c
Fixes: #36958

History
#1 - 2012-05-09 15:28 - Adrian Föder
- Status changed from New to Accepted
- Assigned To set to Adrian Föder

#2 - 2012-05-09 16:24 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11108

2015-08-03 1/2

#fn23000
http://git.typo3.org/FLOW3/Packages/TYPO3.Media.git?a=commit;h=6e958f2f3b5113aefcd22d871f87a6f74ef8361a
http://review.typo3.org/11108


#3 - 2012-05-10 12:42 - Adrian Föder
- Status changed from Accepted to Under Review

#4 - 2012-07-09 14:28 - Adrian Föder
- Status changed from Under Review to Resolved

Resolved and merged in master, see Gerrit-reviews.
